import * as $dara from '@darabonba/typescript';
import { DescribeSnatTableEntriesResponseBody } from "./DescribeSnatTableEntriesResponseBody";
export declare class DescribeSnatTableEntriesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeSnatTableEntriesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
